:root {
    --th-c-white:  #FFFFFF;
    --th-c-black:  #246156;
    --th-pdp-variant-secondary-text-color: #FF1B4B;
    --th-c-black-Blur:  rgba(0, 0, 0, .14);
    --th-c-blackLight-Blur:  rgba(0, 0, 0, .2);
    --th-c-blackLightest-Blur:  rgba(0, 0, 0, .12);
    --th-c-greysLightestGrey:  #E3E3E3;
    --th-c-greysLightGrey:  #AAAAAA;
    --th-c-greysMediumLightGrey:  #B0B0B0;
    --th-c-greysMediumDarkGrey:  #868686;
    --th-c-greysMediumDarkGrey-Blur:  rgba(130, 130, 130, .25);
    --th-c-greysDarkGrey:  #4F4F4F;
    --th-c-greysDisabledGrey:#868686;
    --th-c-alertWrongPrimary:  #FF1B4B;
    --th-c-alertWrongTint:  #FFE0E3;
    --th-c-alertSuccessPrimary:  #1B5E20;
    --th-c-alertSuccessTint:  #E3FAE4;
    --th-c-alertWarningPrimary:  #FF1B4B80;
    --th-c-alertWarningTint:  #FFF1CC;
    --th-c-lavendarIndigoLight:  #646CFF;
    --th-c-fuchsia:  #E600B4;
    --th-c-paleYellow:  #FFF8E1;
    --th-border-form:  1px solid #E3E3E3;
    --th-border-radius:  8px;
    --th-header-dividers:  1px solid var(--th-c-greysLightestGrey);

    /* Button */
    --th-button-height: 56px;
    --th-button-font-weight: 700;
    --th-button-padding: 18px 32px;
    --th-button-text-transform: none;
    --th-button-background-color: #FFFFFF;
    --th-button-font-color: #ff1b4b;
    --th-button-border: 1.5px solid #241F21;
    --th-button-outline: none;
    --th-button-outline-offset: 0;
    --th-button-box-shadow: none;

    --th-button-continue-shopping-background-color: transparent;
    --th-button-continue-shopping-font-color: #FFFFFF;
    --th-button-continue-shopping-border: 1px solid #FFFFFF;
    --th-button-continue-shopping-outline: none;
    --th-button-continue-shopping-outline-offset: none;
    --th-button-continue-shopping-box-shadow: none;

    /* Typography */
    --font-family-thirstie-headings: var(--tc-font-family-body, sans-serif);
    --font-family-thirstie-content: var(--tc-font-family-body, sans-serif);

    /* Cart background */
    --thirstie-cart-background-color: #FF1B4B;
    --thirstie-checkout-background-color: transparent;
    --thirstie-cta-radius: 8px 0px;

    /* PDP */
    --thirstie-primary-color: var(--tc-color-c1);
    --thirstie-border-color: #E3E3E3;
    --thirstie-elem-border-radius: 8px;

    --thirstie-pdp-address-color: var(--tc-color-c1);
    --thirstie-pdp-address-background: var(--tc-color-c3);
    --thirstie-pdp-address-radius: 8px;
    --thirstie-pdp-address-font-size: 16px;
    --thirstie-pdp-address-font-weight: 500;

    --th-availability-address-text-color: #246156;
    --thirstie-pdp-address-input-color: var(--tc-color-c1);
    --thirstie-pdp-address-input-background: #FFFFFF;

    --thirstie-pdp-address-input-status-message-color: #B71C1C;
    --thirstie-pdp-address-input-status-message-font-size: 12px;
    --thirstie-pdp-address-input-status-message-font-weight: 300;

    --thirstie-pdp-card-shipping-method-color: #FFFFFF;
    --thirstie-pdp-card-color: #FF1B4B;
    --thirstie-pdp-card-background: #FF1B4B;
    --thirstie-pdp-card-radius: 0;
    --thirstie-pdp-card-retailer-name-text: capitalize;
    --thirstie-pdp-card-details-font-size: 16px;
    --thirstie-pdp-card-details-font-weight: 500;

    --thirstie-pdp-card-input-checkbox-background: #E3E3E3;
    --thirstie-pdp-card-input-checkbox-border: #E3E3E3;
    --thirstie-pdp-card-input-checkbox-color: var(--tc-color-c1);
    --thirstie-pdp-card-input-checkbox-label-color: #E3E3E3;

    --th-retailer-text-color: #FFFFFF;
    --thirstie-pdp-price-color: #FFFFFF;
    --thirstie-pdp-price-font: var(--font-family-thirstie-content);

    --thirstie-pdp-select-color: var(--tc-color-c1);
    --thirstie-pdp-select-background: #FFFFFF;
    --thirstie-pdp-select-background-hover: #FFFFFF;
    --thirstie-pdp-select-border: 1px solid #E3E3E3;
    --thirstie-pdp-select-border-radius: 8px;
    --thirstie-pdp-select-font-size: 16px;
    --thirstie-pdp-select-font-weight: 600;

    --thirstie-pdp-input-color: #246156;
    --thirstie-pdp-input-background: #FFFFFF;
    --thirstie-pdp-input-background-hover: #E3E3E3;
    --thirstie-pdp-input-border: 1px solid #E3E3E3;
    --thirstie-pdp-input-border-radius: 8px;

    --thirstie-pdp-disclaimer-tax-color: #FFFFFF;
    --thirstie-pdp-disclaimer-tax-font-size: 12px;
    --thirstie-pdp-disclaimer-tax-font-weight: 300;

    --thirstie-pdp-error-message-background: #E3E3E3;
    --thirstie-pdp-error-message-color: var(--tc-color-c1);
    --thirstie-pdp-error-message-font-size: 14px;
    --thirstie-pdp-error-message-font-weight: 500;

    --thirstie-pdp-accordion-info-font-size: 18px;
    --thirstie-pdp-accordion-info-font-weight: 700;

    --th-pdp-location-bg: #FFFFFF;
    --th-pdp-location-text-color: #FF1B4B;
    --th-pdp-location-border-color: transparent;
    --th-pdp-location-border-radius: 8px;
    /* PDP Retailer section (on-demand shipping) */
    --thirstie-pdp-retailer-selection-padding: 16px 32px;
    --thirstie-pdp-retailer-selection-font-weight: 500;
    --thirstie-pdp-retailer-selection-font-size: 16px;

    /* Cart icon */
    --thirstie-cart-header-icon-color: #FFFFFF;
    --thirstie-cart-header-icon-notification-background: #FFFFFF;
    --thirstie-cart-header-icon-notification-color: var(--tc-color-c1);
    --th-cart-header-text-color: #FFFFFF;

    /* Cart */
    --thirstie-cart-header-retailer-text: capitalize;
    --thirstie-cart-header-retailer-color: var(--tc-color-c1);
    --thirstie-cart-header-retailer-font-size: 18px;
    --thirstie-cart-header-retailer-font-weight: 700;

    --th-cart-header-bg-color: #FFFFFF;
    --th-cart-footer-bg-color: #FFFFFF;

    --thirstie-cart-content-height-calc: 267px;


    /* New*/
    --th-pdp-btn-bg: #FFFFFF;
    --th-pdp-btn-color: #FF1B4B;
    --th-cart-cta-continue-bg-color: transparent;
    --th-cart-cta-continue-text-color: #FFFFFF;
    --th-cart-header-font-size: 20px;
    --th-checkout-input-text-color: #246156;

    /* Cart product name */
    --thirstie-cart-content-prod-name-font-size: 16px;
    --thirstie-cart-content-prod-name-font-weight: 800;

    /* Cart product price */
    --thirstie-cart-content-prod-price-font-size: 18px;
    --thirstie-cart-content-prod-price-font-weight: 700;

    /* Cart product details */
    --thirstie-cart-content-prod-details-font-size: 12px;
    --thirstie-cart-content-prod-details-font-weight: 300;

    /* Cart totals */
    --thirstie-cart-content-totals-detail-font-size: 18px;
    --thirstie-cart-content-totals-detail-font-weight: 600;

    /* Cart tax disclaimer */
    --thirstie-cart-content-tax-disclaimer-font-size: 12px;
    --thirstie-cart-content-tax-disclaimer-font-weight: 600;

    /* Cart warning message */
    --th-cart-order-warning-message-header-color: #FFFFFF;
    --th-cart-order-warning-message-header-background: #FF1B4B80;
    --th-cart-order-warning-message-header-font-size: 14px;
    --th-cart-order-warning-message-header-font-weight: 800;

    /* Checkout */
    --thirstie-checkout-card-background: #FFFFFF;
    --thirstie-checkout-card-color: #246156;
    --thirstie-checkout-contact-bg-color: #FFFFFF;

    /* Checkout section title */
    --thirstie-checkout-section-title-transform: capitalize;
    --thirstie-checkout-section-title-font-size: 18px;

    /* Checkout section subtitle */
    --thirstie-checkout-section-subtitle-transform: capitalize;
    --thirstie-checkout-section-subtitle-font-size: 18px;

    /* Checkout breadcrumb */
    --thirstie-checkout-breadcrumb-text-transform: capitalize;
    --thirstie-checkout-breadcrumb-active: #FF1B4B;
    --thirstie-checkout-breadcrumb-inactive: #241F21;

    /* Checkout input checkbox */
    --thirstie-checkout-input-checkbox-background: #FF1B4B;
    --thirstie-checkout-input-checkbox-border: transparent;
    --thirstie-checkout-input-checkbox-color: #FF1B4B;
    --thirstie-checkout-input-checkbox-label-color: #246156;
    --thirstie-checkout-input-checkbox-label-font-size: 12px;
    --thirstie-checkout-input-checkbox-label-font-weight: 300;

    /* Checkout form inputs */
    --thirstie-checkout-input-form-background: var(--thirstie-pdp-address-input-background);
    --thirstie-checkout-input-form-color: var(--thirstie-pdp-address-input-color);
    --thirstie-checkout-input-form-font-size: 16px;
    --thirstie-checkout-input-form-label-color: #246156;
    --thirstie-checkout-input-form-label-font-size: 16px;
    --thirstie-checkout-input-form-label-font-size-float: 10px;
    --thirstie-checkout-input-form-label-font-weight: 600;

    /* Checkout accordion */
    --thirstie-checkout-accordion-wrap-font-weight: 500;
    --thirstie-checkout-accordion-wrap-font-size: 18px;
    --thirstie-checkout-accordion-wrap-title-font-weight: 700;
    --thirstie-checkout-accordion-wrap-title-font-size: 18px;

    /* Checkout delivery tip */
    --thirstie-checkout-delivery-tip-title-message-font-size: 16px;
    --thirstie-checkout-delivery-tip-title-message-font-weight: 500;
    --thirstie-checkout-delivery-tip-title-message-color: #241F21;

    /* Checkout shipping recipient */
    --thirstie-checkout-shipping-recipient-background: #FFFFFF;
    --thirstie-checkout-shipping-recipient-border: 1px solid #E3E3E3;
    --thirstie-checkout-shipping-recipient-color: #FF1B4B;
    --thirstie-checkout-shipping-recipient-checkbox-color: #FF1B4B;
    --thirstie-checkout-shipping-recipient-checkbox-background: transparent;
    --thirstie-checkout-shipping-recipient-checkbox-border: #FF1B4B;
    --thirstie-checkout-shipping-recipient-checkbox-label-font-size: 16px;
    --thirstie-checkout-shipping-recipient-checkbox-label-font-weight: 600;
    --thirstie-checkout-shipping-recipient-checkbox-label-color: #246156;

    --thirstie-checkout-shipping-recipient-border: 1px solid #E3E3E3;
    --th-checkout-back-btn-color: #FF1B4B;
    --thirstie-checkout-shipping-address-background: #FFFFFF;
    --thirstie-checkout-shipping-address-color: #FFFFFF;
    --thirstie-checkout-edit-icon-color: #FFFFFF;

    /* Checkout complete order */
    --thirstie-checkout-complete-order-message-font-weight: 300;
    --thirstie-checkout-complete-order-message-font-size: 12px;
    --thirstie-checkout-complete-order-message-color: #246156;

    /* Thank you page */
    --thirstie-thankyou-card-background: #FFFFFF;
    --thirstie-thankyou-card-color: #246156;
    --thirstie-thankyou-card-details-color: var(--tc-color-c1);
    --thirstie-thankyou-card-details-border: #E3E3E3;
    --thirstie-thankyou-finalinfo-div-flex-direction: row;
    --thirstie-thankyou-finalinfo-div-gap: 8px;
    --thirstie-thankyou-footer-background: #E3E3E3;

    /* Back button */
    --thirstie-checkout-back-button-background: transparent;
    --thirstie-checkout-back-button-color: #FF1B4B;
    --thirstie-checkout-back-button-border: 0px;

    /* Promo button */
    --thirstie-checkout-promo-button-background: transparent;
    --thirstie-checkout-promo-button-color: #FFFFFF;
    --thirstie-checkout-promo-button-border: 1px solid #FFFFFF;
    --thirstie-checkout-promo-button-border-radius: var(--thirstie-cta-radius);
    --thirstie-checkout-promo-error-message-color: #E3E3E3;
    --thirstie-checkout-promo-error-message-font-size: 14px;
    --thirstie-checkout-promo-error-message-font-weight: 500;

    /* Continue button */
    --thirstie-checkout-continue-button-background: transparent;
    --thirstie-checkout-continue-button-color: var(--tc-color-c1);
    --thirstie-checkout-continue-button-border: 1px solid #241F21;
    --thirstie-checkout-continue-button-outline: 1px solid #FF1B4B;
    --thirstie-checkout-continue-button-outline-offset: -5px;

    /* Primary button */
    --thirstie-button-primary-font-size: 16px;

    /* Footer */
    --thirstie-footer-font-size: 12px;
    --thirstie-footer-font-weight: 300;
    --thirstie-footer-link-font-size: 16px;
    --thirstie-footer-link-font-weight: 700;
    --thirstie-footer-checkout-background: transparent;
    --thirstie-footer-checkout-color: #FFFFFF;
    --thirstie-footer-checkout-font-size: 12px;
    --thirstie-footer-checkout-font-weight: 300;
    --th-info-text: #FFFFFF;

    /* Cart order heights */
    --th-cart-order-container-checkout-info-height: 700px;
    --th-cart-order-container-checkout-shipping-height: 900px;
    --th-cart-order-container-checkout-payment-height: 1000px;

    --th-checkbox-icon: url("data:image/svg+xml,%3Csvg width='12' height='10' viewBox='0 0 12 10' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M5.17918 8.39919L4.17202 9.5L3.15041 8.39919L0.5 5.54954L1.52322 4.45046L4.17202 7.30012L10.4928 0.5L11.5 1.59908L5.17918 8.39919Z' fill='%23E3E3E3'/%3E%3C/svg%3E");

    /* Checkout payment form */
    --th-checkout-payment-border: none;
    --th-checkout-payment-border-radius: 8px;
    --th-checkout-payment-background-color: #FFFFFF;
    --th-checkout-payment-text-color: #241F21;
    --th-checkout-payment-header-color: #B0B0B0;
    --th-checkout-payment-input-border: none;
    --th-checkout-payment-input-bg: #F9FAFA;
    --th-checkout-payment-input-text-color: #241F21;
    --th-checkout-payment-placeholder-text-color: #B0B0B0;
    --th-checkout-payment-input-focus-outline: #B0B0B0;
    --th-checkout-payment-edit-svg: #2E2E2E;
}

@media screen and (max-width: 764px) {
    :root {
        --thirstie-pdp-retailer-selection-padding: 16px 10px;
    }
}

@media screen and (max-width: 550px) {
    :root {
        --thirstie-thankyou-finalinfo-div-flex-direction: column;
        --thirstie-thankyou-finalinfo-div-gap: 16px;
    }
}


.thirstie {
    overflow: hidden;
}

.thirstie .header-container {
    padding: 32px 0px;
    background-color: var(--thirstie-cart-background-color);
}

.thirstie .header-container nav {
    max-width: 1024px;
    margin: 0 auto;
}

.thirstie .header-container nav a {
    color: var(--thirstie-primary-color);
    text-decoration: none;
    font-weight: 700;
    display: flex;
    align-items: center;
    gap: 8px;
    font-family: var(--font-family-thirstie-content);
    font-size: 18px;
}

@media (max-width: 768px) {
    .thirstie .header-container {
        padding-left: 32px;
        padding-right: 32px;
        padding-top: 56px;
    }
}

.thirstie #loader {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: var(--thirstie-cart-background-color);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: opacity 0.5s ease-out;
    z-index: 9999;
}

.thirstie .spinner {
    width: 50px;
    height: 50px;
    border: 5px solid #ccc;
    border-top-color: #241F21;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0%   { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.sn_block_thankyoupage_thirstie {
    display: none;
}

.sn_block_banner_pre_footer.bb_template_full.sn_block_thankyoupage_thirstie_flex {
    display: none;
}

.mainwprapper-opacity {
    filter: blur(5px);
}

.body-no-scroll {
    overflow: hidden;
}

.th-checkout-section--container.cart-checkout-test {
    height: 660px;
}

.legal-links-bottom {
    display: flex;
    gap: 16px;
    justify-content: center;
    background: var(--thirstie-footer-checkout-background);
    padding-bottom: 24px;
    font-family: var(--font-family-thirstie-content) !important;
}

.legal-links-bottom a {
    color: #FFFFFF !important;
    text-decoration: none;
    font-family: var(--font-family-thirstie-content) !important;
    font-weight: 800;   
}

.p-AccordionItem.p-AccordionItem--selected .p-AccordionButton {
    font-family: var(--font-family-thirstie-content) !important;
    color: #241F21 !important;
}

.p-CardForm .p-FieldLabel {
    font-family: var(--font-family-thirstie-content) !important;
}

.rbecm-product_address {
    background-color: #FFFFFF;
    color: #FF1B4B;
    border-radius: 8px;
}

.rbecm-product_address_label {
    padding: 16px;
    font-weight: 800;
}

@media (max-width: 768px) {
    .rbecm-product_address_label {
        font-size: 16px;
    }
}
